/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package administrador.datos;

import javax.swing.table.*;
import administrador.PanelServidor;

public class TModelOperaciones extends AbstractTableModel {

   PanelServidor panel;
   MapaOperadores operadores;
   ColeccionRegistros acciones;
   private final static String[] titulos = {"ESTADO", "NOMBRE", "MESA", "IMPRESAS", "INTRANET", "BORR.CONF", "BORR.RECT.", "MULTIPLE"};

   public TModelOperaciones(PanelServidor panel) {
      this.panel = panel;
      operadores = panel.getMapaOperadores();
      acciones = panel.getColeccionMesas();
   }

   @Override
   public String getColumnName(int column) {
      return titulos[column];
   }

   @Override
   public Object getValueAt(int rowIndex, int columnIndex) {
      RegistroMesa reg = (RegistroMesa) acciones.getRegistro(rowIndex);
      if (reg == null) {
         return null;
      }
      switch (columnIndex) {
         case 0:
            return reg.estado;
         case 1:
            return operadores.getNombre(reg.codigo);
         case 2:
            return reg.puesto;
         case 3:
            return reg.citaMultiple;
         default:
            return "";
      }
   }

   @Override
   public int getRowCount() {
      return acciones.size();
   }

   @Override
   public int getColumnCount() {
      return 8;
   }
}
